(* $Id: taskalg.mli,v 1.12 2011-10-28 13:52:31 deraugla Exp $ *)

type stask = 'abstract;

value of_task_def : int -> Ast.task_def -> stask;
value to_string : bool -> stask -> string;

value plus : Ast.constraints -> stask -> stask -> Ast.alt stask string;
value edf : Ast.constraints -> list stask -> Ast.alt stask string;

value first_response_time : stask -> array (int * int);
value last_response_time : stask -> array (int * int);
value worst_response_time : stask -> array (int * int);

value global_response_time : stask -> int;

value long_display : ref bool;
